basehaz {survival} | R Documentation

## Alias for the survfit function

### Description

Compute the predicted survival curve for a Cox model.

### Usage

    basehaz(fit, centered=TRUE)

### Arguments

`fit` | a coxph fit
`centered` | if TRUE return data from a predicted survival curve at the mean values of the covariates `fit$mean`, if FALSE return a prediction for all covariates equal to zero.

### Details

This function is simply an alias for `survfit`, which is the actual function that does all the computations. See the manual page for that function for the preferred use. This function survives only for backwards support of prior usage.

The function returns a data frame containing the `time`, `cumhaz` and optionally the strata (if the fitted Cox model used a strata statement), which are copied the `survfit` result. If there are factor variables in the model, then the default predictions at the "mean" are meaningless since they do not correspond to any possible subject; correct results require use of the `newdata` argument of survfit. Results for all covariates =0 are normally only of use as a building block for further calculations.

### Value

a data frame with variable names of `hazard`, `time` and optionally `strata`. The first is actually the cumulative hazard.

### See Also

`survfit.coxph`

[Package survival version 2.41-3 Index]